Skip to main content
POST
Get a preview link for a website or one of its review branches

Authorizations

X-API-Key
string
header
required

Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.

Path Parameters

websiteId
string
required

Body

application/json

Preview a website or review branch

companyId
string
required

Company ID that owns the website

branch
string

Review branch to preview. Omit (or "main") to preview the live version.

Response

A link that opens the preview

url
string

Link that opens the preview in a browser; valid for 4 hours

baseUrl
string

The same preview as a path on the API host